読者です 読者をやめる 読者になる 読者になる

m2eclipseで"The version cannot be empty."エラー

Eclipseでpom.xmlファイルを編集したところ、m2eclipseプラグインが、"The version cannot be empty."というエラーを出すようになり、しばらく悩みました。
Nabble - Maven Eclipse - User - failed to import project when using build/extensions in pom
まさにこの通りで、pom.xml要素がないと発生するようです。

<extensions>
  <extension>
    <groupId>org.apache.maven.wagon</groupId>
    <artifactId>wagon-webdav</artifactId>
  </extension>
</extensions>

今回はエラー表示が何処を指しているのかわかりづらく、しかもこの記述が親プロジェクトのpom.xmlにあったので原因が分かるまで時間がかかってしまいました。。